summaryrefslogtreecommitdiffstats
path: root/testing/py-django-oscar/APKBUILD
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-06-17 15:16:02 +0300
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-06-17 15:43:23 +0300
commit4597550d629aa997ba377283134ee546ae085fd0 (patch)
treeef7b1b780a274887e57db32cd3966c82370c7403 /testing/py-django-oscar/APKBUILD
parent299fc3215a012915d6f4e614219277cd64845323 (diff)
downloadaports-4597550d629aa997ba377283134ee546ae085fd0.tar.bz2
aports-4597550d629aa997ba377283134ee546ae085fd0.tar.xz
testing/py-django-oscar: upgrade to 1.0.2
include patch for Django 1.8 compatibility
Diffstat (limited to 'testing/py-django-oscar/APKBUILD')
-rw-r--r--testing/py-django-oscar/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/testing/py-django-oscar/APKBUILD b/testing/py-django-oscar/APKBUILD
index 1ba04fd5f..6d2b860b4 100644
--- a/testing/py-django-oscar/APKBUILD
+++ b/testing/py-django-oscar/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer:
pkgname=py-django-oscar
-pkgver=1.0.1
+pkgver=1.0.2
pkgrel=0
pkgdesc="Domain-driven e-commerce for Django"
url=http://oscarcommerce.com/
@@ -12,7 +12,8 @@ depends="py-babel py-django py-django-compressor py-django-extra-views
py-django-treebeard py-factory-boy py-mock py-phonenumbers py-pillow
py-purl py-unidecode"
makedepends=py-setuptools
-source=https://pypi.python.org/packages/source/d/django-oscar/django-oscar-$pkgver.tar.gz
+source="https://pypi.python.org/packages/source/d/django-oscar/django-oscar-$pkgver.tar.gz
+ 0001-Add-required-fields-attributes.patch"
_builddir=$srcdir/django-oscar-$pkgver
prepare() {
@@ -20,7 +21,7 @@ prepare() {
cd "$_builddir"
for i in $source; do
case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ *.patch) msg $i; patch -p2 -i "$srcdir"/$i || return 1;;
esac
done
}
@@ -35,6 +36,9 @@ package() {
./setup.py install --root "$pkgdir"
}
-md5sums="1fb2a128bcdfd1392926a4b32c3ab22c django-oscar-1.0.1.tar.gz"
-sha256sums="bdee30dec5d5a34632fb1669c023d8d02f0b7fa0e8dca04557cfd3b2182507ee django-oscar-1.0.1.tar.gz"
-sha512sums="a5377e5598cafa8067b329256b7dd7e1facee90bb8e10e897689449ed2f52d0ff3095da0e5a123f556f2d41dc78555701f6929b0c8bb837139591a68a024f427 django-oscar-1.0.1.tar.gz"
+md5sums="2b74ae1844ed75c08dcc667412c658b3 django-oscar-1.0.2.tar.gz
+0c8a62f12f5fb642ccee729760c177d1 0001-Add-required-fields-attributes.patch"
+sha256sums="8020c12a72aa986cce7ae5402248d473dbce9df941ddecdfea0bc26c46add8f9 django-oscar-1.0.2.tar.gz
+c0101e2d6b08814f0a43a47883455c18ac9d5f54e5b45304c028b185ea7f9366 0001-Add-required-fields-attributes.patch"
+sha512sums="f04c97dc6dac6addd403670e7843582d57173e7d49127bc8be516f310d3d67e13dc3e37873a5f6945a37b027085b74861f537e023fdff1c6ea27450143109923 django-oscar-1.0.2.tar.gz
+0d332889d6a1a8d550d19e4babbddb3d7d45c9c11aa4eff62bbbe76dfc0243c72f9ecbc6afd8c34e3e3cac35ddcf9764ab54b59023643c3542e1455a2ac8887f 0001-Add-required-fields-attributes.patch"